Skip to main content
PATCH
Update Sales Order Line Item File

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token
Scopes1
salesorders.write
Grants permission to create and modify sales orders.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
string<uuid>
required

The ID of the sales order that the file belongs to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>
required

The ID of the sales order line item that the file belongs to.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemFileId
string<uuid>
required

The ID for a sales order line item file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The file to update.

Model Class: UpdateSalesOrderLineItemFile

fileData
string<byte>

Base64 encoded data of the file.

fileDataType
string

Type of file.

fileName
string

name of the file.

Response

The updated sales order line item file.

Model Class: SalesOrderLineItemFile

id
string<uuid>
required

Unique ID to identify a sales order line item file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderLineItemId
string<uuid>
required

Unique ID to identify a sales order item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderId
string<uuid>
required

Unique ID to identify a sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

fileId
string<uuid>
required

Unique ID to identify a file.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

fileDataType
string
required

Type of file.

size
number<decimal>
required

Image size.

createdAt
string<date-time>
required

Date when the file was created in the system.

fileName
string
required

name of the file.